
function badprf(blkprf)

%editglob
global EDIT_MODE LISTED

if ~EDIT_MODE
  error('You are not in edit mode.  Set EDIT_MODE = 1 to enable.')
end

LISTED = 0;
if nargin == 1
  flagprf(-2, blkprf);  % -2 = user-added flag
else
  flagprf(-2)
end
